#include <fstream>
#include <cmath>
using namespace std;
int snt(long long n) 
{ 
    if (n<2)
	return 0;
	if (n==2)
	return 1;
	else 
	for(int b=2;b<n;b++)  
	{  
		if (n%b==0)
		return 0;    
    }
    return 1;
}
 
int main() 
{ 
	ifstream f("demnt.inp");
	ofstream g("demnt.out");
    long long m,a[999999]; int i;
    f>>m;
    for (i=1;i<=m;i++)
    {f>>a[i];}
	for (i=1;i<=m;i++)
	{ if (snt(a[i])==1)
	g<<a[i]<<' ';} 
} 
	
 

